"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EuiExpressionButton = void 0;

require("core-js/modules/es6.object.assign");

require("core-js/modules/web.dom.iterable");

require("core-js/modules/es6.array.iterator");

require("core-js/modules/es6.object.keys");

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var EuiExpressionButton = function EuiExpressionButton(_ref) {
  var className = _ref.className,
      description = _ref.description,
      buttonValue = _ref.buttonValue,
      isActive = _ref.isActive,
      onClick = _ref.onClick,
      rest = _objectWithoutProperties(_ref, ["className", "description", "buttonValue", "isActive", "onClick"]);

  var classes = (0, _classnames.default)('euiExpressionButton', className, {
    'euiExpressionButton-isActive': isActive
  });
  return _react.default.createElement("button", _extends({
    className: classes,
    onClick: onClick
  }, rest), _react.default.createElement("span", {
    className: "euiExpressionButton__description"
  }, description), ' ', _react.default.createElement("span", {
    className: "euiExpressionButton__value"
  }, buttonValue));
};

exports.EuiExpressionButton = EuiExpressionButton;
EuiExpressionButton.propTypes = {
  className: _propTypes.default.string,
  description: _propTypes.default.string.isRequired,
  buttonValue: _propTypes.default.string.isRequired,
  isActive: _propTypes.default.bool.isRequired,
  onClick: _propTypes.default.func.isRequired
};
EuiExpressionButton.defaultProps = {
  isActive: false
};
EuiExpressionButton.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "EuiExpressionButton",
  "props": {
    "isActive": {
      "defaultValue": {
        "value": "false",
        "computed": false
      },
      "type": {
        "name": "bool"
      },
      "required": false,
      "description": ""
    },
    "className": {
      "type": {
        "name": "string"
      },
      "required": false,
      "description": ""
    },
    "description": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    },
    "buttonValue": {
      "type": {
        "name": "string"
      },
      "required": true,
      "description": ""
    },
    "onClick": {
      "type": {
        "name": "func"
      },
      "required": true,
      "description": ""
    }
  }
};