"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SortDirectionType = exports.SortDirection = void 0;

require("core-js/modules/es6.object.freeze");

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SortDirection = Object.freeze({
  ASC: 'asc',
  DESC: 'desc',
  isAsc: function isAsc(direction) {
    return direction === this.ASC;
  },
  reverse: function reverse(direction) {
    return this.isAsc(direction) ? this.DESC : this.ASC;
  }
});
exports.SortDirection = SortDirection;

var SortDirectionType = _propTypes.default.oneOf([SortDirection.ASC, SortDirection.DESC]);

exports.SortDirectionType = SortDirectionType;