"use strict";
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const eui_1 = require("@elastic/eui");
const react_1 = tslib_1.__importDefault(require("react"));
const styled_components_1 = tslib_1.__importDefault(require("styled-components"));
class Header extends react_1.default.PureComponent {
    constructor() {
        super(...arguments);
        this.staticBreadcrumbs = [
            {
                href: '#/',
                text: 'Infrastructure',
            },
        ];
    }
    render() {
        const { breadcrumbs = [], appendSections = null } = this.props;
        return (react_1.default.createElement(HeaderWrapper, null,
            react_1.default.createElement(eui_1.EuiHeaderSection, null,
                react_1.default.createElement(eui_1.EuiHeaderBreadcrumbs, { breadcrumbs: [...this.staticBreadcrumbs, ...breadcrumbs] })),
            appendSections));
    }
}
exports.Header = Header;
const HeaderWrapper = styled_components_1.default(eui_1.EuiHeader) `
  height: 29px;
`;
