"use strict";
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const page_content_1 = require("./page_content");
const toolbar_1 = require("./toolbar");
const empty_page_1 = require("../../components/empty_page");
const header_1 = require("../../components/header");
const page_1 = require("../../components/page");
const beta_badge_header_section_1 = require("../../components/beta_badge_header_section");
const with_waffle_filters_1 = require("../../containers/waffle/with_waffle_filters");
const with_waffle_options_1 = require("../../containers/waffle/with_waffle_options");
const with_waffle_time_1 = require("../../containers/waffle/with_waffle_time");
const with_kibana_chrome_1 = require("../../containers/with_kibana_chrome");
const with_source_1 = require("../../containers/with_source");
class HomePage extends react_1.default.PureComponent {
    render() {
        return (react_1.default.createElement(page_1.ColumnarPage, null,
            react_1.default.createElement(with_source_1.WithSource, null, ({ metricIndicesExist }) => metricIndicesExist || metricIndicesExist === null ? (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(with_waffle_time_1.WithWaffleTimeUrlState, null),
                react_1.default.createElement(with_waffle_filters_1.WithWaffleFilterUrlState, null),
                react_1.default.createElement(with_waffle_options_1.WithWaffleOptionsUrlState, null),
                react_1.default.createElement(header_1.Header, { appendSections: react_1.default.createElement(beta_badge_header_section_1.InfrastructureBetaBadgeHeaderSection, null) }),
                react_1.default.createElement(toolbar_1.HomeToolbar, null),
                react_1.default.createElement(page_content_1.HomePageContent, null))) : (react_1.default.createElement(with_kibana_chrome_1.WithKibanaChrome, null, ({ basePath }) => (react_1.default.createElement(empty_page_1.EmptyPage, { title: "Looks like you don't have any metrics indices.", message: "Let's add some!", actionLabel: "Setup Instructions", actionUrl: `${basePath}/app/kibana#/home/tutorial_directory/metrics`, "data-test-subj": "noMetricsIndicesPrompt" })))))));
    }
}
exports.HomePage = HomePage;
