"use strict";
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const reselect_1 = require("reselect");
const kuery_1 = require("ui/kuery");
exports.selectWaffleFilterQuery = (state) => state.filterQuery;
exports.selectWaffleFilterQueryDraft = (state) => state.filterQueryDraft;
exports.selectIsWaffleFilterQueryDraftValid = reselect_1.createSelector(exports.selectWaffleFilterQueryDraft, filterQueryDraft => {
    if (filterQueryDraft && filterQueryDraft.kind === 'kuery') {
        try {
            kuery_1.fromKueryExpression(filterQueryDraft.expression);
        }
        catch (err) {
            return false;
        }
    }
    return true;
});
