"use strict";
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const remote_graphql_state_1 = require("../../../../utils/remote_state/remote_graphql_state");
const state_1 = require("../state");
const query_source_gql_query_1 = require("./query_source.gql_query");
const operationKey = 'load';
exports.loadSourceActionCreators = remote_graphql_state_1.createGraphqlOperationActionCreators('source', operationKey);
exports.loadSourceReducer = remote_graphql_state_1.createGraphqlOperationReducer(operationKey, state_1.initialSourceState, exports.loadSourceActionCreators, (state, action) => action.payload.result.data.source);
exports.loadSourceEpic = remote_graphql_state_1.createGraphqlQueryEpic(query_source_gql_query_1.sourceQuery, exports.loadSourceActionCreators);
