"use strict";
/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License;
 * you may not use this file except in compliance with the Elastic License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const graphql_tag_1 = tslib_1.__importDefault(require("graphql-tag"));
exports.capabilitiesSchema = graphql_tag_1.default `
  "One specific capability available on a node. A capability corresponds to a fileset or metricset"
  type InfraNodeCapability {
    name: String!
    source: String!
  }

  extend type InfraSource {
    "A hierarchy of capabilities available on nodes"
    capabilitiesByNode(nodeName: String!, nodeType: InfraNodeType!): [InfraNodeCapability]!
  }
`;
